#!/usr/bin/python

from django.conf import settings
from django.core.management.base import NoArgsCommand

import os
import subprocess

class Command(NoArgsCommand):
    help = "Bootstrap for the mapbuntu project"

    def handle_noargs(self, **options):
        print 'creating local_settings.py'
        subprocess.call(['cp', 'local_settings.py.sample', 'local_settings.py'])
        print '\nEdit local_settings.py, then press Return to continue'
        raw_input('\n')
        
        print " * Adding Bzr Apps:",
        path = settings.PROJECT_PATH
        if os.path.isdir(os.path.join(path, "bzr_apps", ".bzr")):
            print "not necessary."
        else:
            subprocess.call(["bzr", "branch", "-q", "--use-existing-dir", 
                             "lp:ubuntu-django-foundations/bzr-apps", 
                             "bzr_apps"])
            print "added."

        print " * Pulling Bzr Apps:",
        subprocess.call(["./manage.py", "pullapps"])
        
        print 'setting up database'
        subprocess.call(['./manage.py', 'syncdb', '--noinput'])
        print 'doing migrations'
        subprocess.call(['./manage.py', 'migrate', '--all'])
        
        print '\nif you need a superuser, create one with the command "./manage.py createsuperuser"\n'
