# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'Tag'
        db.create_table('marker_tag', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('tag', self.gf('django.db.models.fields.CharField')(max_length=25)),
        ))
        db.send_create_signal('marker', ['Tag'])

        # Adding model 'Type'
        db.create_table('marker_type', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=25)),
            ('marker_icon', self.gf('django.db.models.fields.files.ImageField')(max_length=100)),
            ('template', self.gf('django.db.models.fields.files.FileField')(max_length=100)),
        ))
        db.send_create_signal('marker', ['Type'])

        # Adding model 'Marker'
        db.create_table('marker_marker', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('lat', self.gf('django.db.models.fields.FloatField')()),
            ('lng', self.gf('django.db.models.fields.FloatField')()),
            ('marker_type', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['marker.Type'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('content', self.gf('django.db.models.fields.TextField')()),
            ('more_info_url', self.gf('django.db.models.fields.URLField')(max_length=200, null=True, blank=True)),
            ('secret', self.gf('django.db.models.fields.CharField')(max_length=16)),
            ('creation_date', self.gf('django.db.models.fields.DateField')(auto_now_add=True, blank=True)),
            ('update_date', self.gf('django.db.models.fields.DateField')(auto_now=True, blank=True)),
            ('expiration_date', self.gf('django.db.models.fields.DateField')()),
        ))
        db.send_create_signal('marker', ['Marker'])

        # Adding M2M table for field tags on 'Marker'
        db.create_table('marker_marker_tags', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('marker', models.ForeignKey(orm['marker.marker'], null=False)),
            ('tag', models.ForeignKey(orm['marker.tag'], null=False))
        ))
        db.create_unique('marker_marker_tags', ['marker_id', 'tag_id'])


    def backwards(self, orm):
        
        # Deleting model 'Tag'
        db.delete_table('marker_tag')

        # Deleting model 'Type'
        db.delete_table('marker_type')

        # Deleting model 'Marker'
        db.delete_table('marker_marker')

        # Removing M2M table for field tags on 'Marker'
        db.delete_table('marker_marker_tags')


    models = {
        'marker.marker': {
            'Meta': {'object_name': 'Marker'},
            'content': ('django.db.models.fields.TextField', [], {}),
            'creation_date': ('django.db.models.fields.DateField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'expiration_date': ('django.db.models.fields.DateField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lat': ('django.db.models.fields.FloatField', [], {}),
            'lng': ('django.db.models.fields.FloatField', [], {}),
            'marker_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['marker.Type']"}),
            'more_info_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'secret': ('django.db.models.fields.CharField', [], {'max_length': '16'}),
            'tags': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['marker.Tag']", 'symmetrical': 'False'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'update_date': ('django.db.models.fields.DateField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'marker.tag': {
            'Meta': {'object_name': 'Tag'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'tag': ('django.db.models.fields.CharField', [], {'max_length': '25'})
        },
        'marker.type': {
            'Meta': {'object_name': 'Type'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'marker_icon': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '25'}),
            'template': ('django.db.models.fields.files.FileField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['marker']
