# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding field 'Type.description'
        db.add_column('marker_type', 'description', self.gf('django.db.models.fields.TextField')(default='No description available'), keep_default=False)

        # Adding field 'Type.active'
        db.add_column('marker_type', 'active', self.gf('django.db.models.fields.BooleanField')(default=True), keep_default=False)

        # Adding field 'Type.default_lifetime'
        db.add_column('marker_type', 'default_lifetime', self.gf('django.db.models.fields.DateField')(default=datetime.timedelta(364)), keep_default=False)

        # Adding field 'Type.max_lifetime'
        db.add_column('marker_type', 'max_lifetime', self.gf('django.db.models.fields.DateField')(default=datetime.timedelta(1092)), keep_default=False)


    def backwards(self, orm):
        
        # Deleting field 'Type.description'
        db.delete_column('marker_type', 'description')

        # Deleting field 'Type.active'
        db.delete_column('marker_type', 'active')

        # Deleting field 'Type.default_lifetime'
        db.delete_column('marker_type', 'default_lifetime')

        # Deleting field 'Type.max_lifetime'
        db.delete_column('marker_type', 'max_lifetime')


    models = {
        'marker.marker': {
            'Meta': {'object_name': 'Marker'},
            'content': ('django.db.models.fields.TextField', [], {}),
            'creation_date': ('django.db.models.fields.DateField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'expiration_date': ('django.db.models.fields.DateField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lat': ('django.db.models.fields.FloatField', [], {}),
            'lng': ('django.db.models.fields.FloatField', [], {}),
            'marker_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['marker.Type']"}),
            'more_info_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'secret': ('django.db.models.fields.CharField', [], {'max_length': '16'}),
            'tags': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['marker.Tag']", 'symmetrical': 'False'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'update_date': ('django.db.models.fields.DateField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'marker.tag': {
            'Meta': {'object_name': 'Tag'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'tag': ('django.db.models.fields.CharField', [], {'max_length': '25'})
        },
        'marker.type': {
            'Meta': {'object_name': 'Type'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'default_lifetime': ('django.db.models.fields.DateField', [], {'default': 'datetime.timedelta(364)'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'marker_icon': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'max_lifetime': ('django.db.models.fields.DateField', [], {'default': 'datetime.timedelta(1092)'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '25'}),
            'template': ('django.db.models.fields.files.FileField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['marker']
