# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'TypeAttribute'
        db.create_table('marker_typeattribute', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('attribute', self.gf('django.db.models.fields.CharField')(max_length=50)),
        ))
        db.send_create_signal('marker', ['TypeAttribute'])

        # Adding M2M table for field allowed_attibutes on 'Type'
        db.create_table('marker_type_allowed_attibutes', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('type', models.ForeignKey(orm['marker.type'], null=False)),
            ('typeattribute', models.ForeignKey(orm['marker.typeattribute'], null=False))
        ))
        db.create_unique('marker_type_allowed_attibutes', ['type_id', 'typeattribute_id'])


    def backwards(self, orm):
        
        # Deleting model 'TypeAttribute'
        db.delete_table('marker_typeattribute')

        # Removing M2M table for field allowed_attibutes on 'Type'
        db.delete_table('marker_type_allowed_attibutes')


    models = {
        'marker.marker': {
            'Meta': {'object_name': 'Marker'},
            'content': ('django.db.models.fields.TextField', [], {}),
            'creation_date': ('django.db.models.fields.DateField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'expiration_date': ('django.db.models.fields.DateField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lat': ('django.db.models.fields.FloatField', [], {}),
            'lng': ('django.db.models.fields.FloatField', [], {}),
            'marker_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['marker.Type']"}),
            'more_info_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'secret': ('django.db.models.fields.CharField', [], {'max_length': '16'}),
            'tags': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['marker.Tag']", 'symmetrical': 'False'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'update_date': ('django.db.models.fields.DateField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'marker.tag': {
            'Meta': {'object_name': 'Tag'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'tag': ('django.db.models.fields.CharField', [], {'max_length': '25'})
        },
        'marker.type': {
            'Meta': {'object_name': 'Type'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'allowed_attibutes': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['marker.TypeAttribute']", 'symmetrical': 'False'}),
            'default_lifetime': ('django.db.models.fields.DateField', [], {'default': 'datetime.timedelta(364)'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'marker_icon': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'max_lifetime': ('django.db.models.fields.DateField', [], {'default': 'datetime.timedelta(1092)'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '25'}),
            'template': ('django.db.models.fields.files.FileField', [], {'max_length': '100'})
        },
        'marker.typeattribute': {
            'Meta': {'object_name': 'TypeAttribute'},
            'attribute': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        }
    }

    complete_apps = ['marker']
