from django.conf.urls.defaults import *
from django.conf import settings
from django.contrib import admin
import ubuntu_website

admin.autodiscover()

# Uncomment the next two lines to enable the admin:

urlpatterns = patterns('',
    # Example:
    url(r'^$', 'marker.views.index', name='index'),
    url(r'^marker/create/(?P<marker_type>\d+)/', 'marker.views.add_marker', name='marker-new'),
    url(r'^map/$', 'marker.views.show_map', name='map'),
    url(r'^markers/all$', 'marker.views.all_markers', name='map-markers-all'),
    # (r'^mapbuntu/', include('mapbuntu.foo.urls')),
    
    # API
    url(r'^API/register/$', 'marker.views.register', name='register'),
    url(r'^API/unregister/(?P<secret>\w+)/$', 'marker.views.unregister', name='unregister'),
    url(r'^API/update/(?P<secret>\w+)/$', 'marker.views.update', name='update'),
    url(r'^API/geoip/$', 'marker.views.geoip', name='geoip'),
    url(r'^API/types/$', 'marker.views.types', name='types'),

    # Uncomment the admin/doc line below to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    (r'^admin/', include(admin.site.urls)),
)

if settings.STATIC_SERVE:
    urlpatterns += patterns('',
        (r'^media/(?P<path>.*)$', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT}),
        (r'^(robots.txt)$', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT}),
        (r'^ubuntu-website/media/(?P<path>.*)$', 'django.views.static.serve',
            {'document_root': ubuntu_website.MEDIA_ROOT}),
    )
